> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs-beta.getzep.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs-beta.getzep.com/_mcp/server.

# Retire Agent Skill

POST https://api.getzep.com/api/v4/agents/{agent_uuid}/skills/{skill_uuid}/retire
Content-Type: application/json

Reference: https://docs-beta.getzep.com/sdk-reference/agent/skill/retire

## Authentication

- `Authorization` header (required) (prefixed with ` Api-Key  `) — Type "Api-Key" followed by a space and the project API key.

## Request

### Path parameters

- `agent_uuid` (string, required) — Agent UUID
- `skill_uuid` (string, required) — Skill UUID

### Body (application/json)

This endpoint expects a v4.RetireAgentSkillRequest.

- `expected_version` (integer, required)

## Response

### 200

OK

- `agent_versions` (list of string, optional)
- `created_at` (string, optional)
- `current_version` (integer, optional)
- `kind` (string, optional)
- `package_name` (string, optional)
- `searchable` (boolean, optional)
- `skill_id` (string, optional)
- `status` (string, optional)
- `task_family` (string, optional)
- `unavailable_reason` (string, optional)
- `updated_at` (string, optional)
- `uuid` (string, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (v4.ErrorBody, optional)

### 401 Unauthorized Error

Unauthorized

- `error` (v4.ErrorBody, optional)

### 403 Forbidden Error

Forbidden

- `error` (v4.ErrorBody, optional)

### 404 Not Found Error

Not Found

- `error` (v4.ErrorBody, optional)

### 409 Conflict Error

Conflict

- `error` (v4.ErrorBody, optional)

### 503 Service Unavailable Error

Service Unavailable

- `error` (v4.ErrorBody, optional)

## Types

### v4.ErrorBody

- `code` (string, optional)
- `details` (map from string to any, optional)
- `message` (string, optional)
- `param` (string, optional)
- `request_id` (string, optional)

## Examples

**Request**

```json
{
  "expected_version": 1
}
```

**Response**

```json
{
  "agent_versions": [
    "string"
  ],
  "created_at": "string",
  "current_version": 1,
  "kind": "string",
  "package_name": "string",
  "searchable": true,
  "skill_id": "string",
  "status": "string",
  "task_family": "string",
  "unavailable_reason": "string",
  "updated_at": "string",
  "uuid": "string"
}
```